<mat-sidenav-container autosize class="maarch-container">
    <ng-template #adminMenuTemplate>
        <mat-nav-list>
            <h3 mat-subheader>{{lang.actions}}</h3>
            <a mat-list-item routerLink="/administration/tags/new">
                <mat-icon color="primary" mat-list-icon class="fa fa-plus"></mat-icon>
                <p mat-line>
                    {{lang.add}}
                </p>
            </a>
        </mat-nav-list>
    </ng-template>
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div class="table-head">
                    <div class="table-head-result">
                        <mat-form-field style="font-size: 13px;">
                            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="{{lang.filterBy}}">
                        </mat-form-field>
                    </div>
                    <div class="table-head-tool">
                        <mat-paginator #paginator [length]="100" [hidePageSize]="true" [pageSize]="10">
                        </mat-paginator>
                    </div>
                </div>
                <div style="height:90%;overflow:auto;position:absolute;width:100%;">
                    <mat-table id="contact-list" #tableContactListSort="matSort" [dataSource]="dataSource" matSort
                        matSortActive="label" matSortDirection="asc" style="width:100%;">
                        <ng-container matColumnDef="label">
                            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.label}}</mat-header-cell>
                            <mat-cell mat-cell *matCellDef="let element">
                                {{element.label}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="description">
                            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.description}}</mat-header-cell>
                            <mat-cell mat-cell *matCellDef="let element">
                                {{element.description}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="actions">
                            <mat-header-cell *matHeaderCellDef>
                            </mat-header-cell>
                            <mat-cell *matCellDef="let element" style="justify-content: flex-end;">
                                <button mat-icon-button color="warn" [title]="lang.delete"
                                    (click)="$event.stopPropagation();deleteTag(element)">
                                    <mat-icon class="fa fa-trash-alt fa-2x"></mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;"
                            routerLink="/administration/tags/{{row.id}}" style="cursor: pointer;">
                        </mat-row>
                    </mat-table>
                    <div class="mat-paginator"
                        style="min-height:48px;display: flex;justify-content: end;align-items: center;padding-left: 20px;">
                        {{resultsLength}} {{lang.tags}}</div>
                </div>
            </div>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>